Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980532 - Annotation literals implementing an annotation interface raise a warning in JBDS
Summary: Annotation literals implementing an annotation interface raise a warning in JBDS
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: unspecified
Version: 2.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: mark yarborough
QA Contact: Karel Piwko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-02 16:00 UTC by Ron Šmeral
Modified: 2016-11-01 01:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 15:01:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 982193 None None None Never
Red Hat One Jira Issue Tracker JBIDE-13793 None None None Never
Red Hat One Jira Issue Tracker WFK2-66 Minor New Annotation literals implementing an annotation interface raise a warning in JBDS 2013-07-18 15:01:02 UTC

Internal Links: 982193

Description Ron Šmeral 2013-07-02 16:00:30 UTC
Description of problem:
An annotation literal is a concept defined in Java EE 6, described e.g. in javadoc of http://docs.oracle.com/javaee/6/api/javax/enterprise/util/AnnotationLiteral.html. In this piece of official documentation, an example of usage shows an implementation of an annotation:

public abstract class PayByQualifier 
       extends AnnotationLiteral<PayBy>
       implements PayBy {}

Despite this pattern being defined in the official Java EE documentation, JBDS (Eclipse) warns that annotations should not be used as superinterfaces.

Version-Release number of selected component (if applicable):
WFK 2.3.0.CR1
JBDS 7.0.0.Beta2b

How reproducible:
In a project in JBDS, use the New Annotation Literal wizard to create an Annotation Literal.

Actual results:
A warning is shown, e.g.:
"The annotation type RestRequest should not be used as a superinterface for RestRequestLiteral."

Expected results:
No warning should be displayed as this is an officially endorsed pattern.

Comment 1 Marek Schmidt 2013-07-18 15:01:01 UTC
Migrated to JIRA as https://issues.jboss.org/browse/WFK2-66


Note You need to log in before you can comment on or make changes to this bug.